> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Upload

> Create a 24-hour upload. PUT file chunks to upload_url using Content-Range, then complete.



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json post /v1/uploads
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/uploads:
    post:
      tags:
        - imports
      summary: Create Upload
      description: >-
        Create a 24-hour upload. PUT file chunks to upload_url using
        Content-Range, then complete.
      operationId: create_upload_v1_uploads_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUploadRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadSessionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateUploadRequest:
      properties:
        kind:
          type: string
          enum:
            - competitor_prices
            - matched_snapshots
          title: Kind
        filename:
          type: string
          maxLength: 255
          minLength: 1
          title: Filename
        size_bytes:
          type: integer
          maximum: 268435456
          exclusiveMinimum: 0
          title: Size Bytes
        matching:
          anyOf:
            - $ref: '#/components/schemas/MatchingUploadOptions'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - kind
        - filename
        - size_bytes
      title: CreateUploadRequest
    UploadSessionResponse:
      properties:
        upload_id:
          type: string
          format: uuid
          title: Upload Id
        upload_url:
          type: string
          title: Upload Url
        expires_at:
          type: string
          format: date-time
          title: Expires At
        chunk_size_bytes:
          type: integer
          title: Chunk Size Bytes
          default: 8388608
        complete_path:
          type: string
          title: Complete Path
      type: object
      required:
        - upload_id
        - upload_url
        - expires_at
        - complete_path
      title: UploadSessionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MatchingUploadOptions:
      properties:
        coverage:
          type: string
          enum:
            - full
            - partial
          title: Coverage
          default: full
        covered_competitors:
          items:
            type: string
          type: array
          maxItems: 500
          title: Covered Competitors
        allow_large_removal:
          type: boolean
          title: Allow Large Removal
          default: false
      additionalProperties: false
      type: object
      title: MatchingUploadOptions
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.